System requirements

10 Jun 2021 145 views 0 minutes to read Contributors

AIM does not have many requirements to run except for the following:

  1. .NET Framework 4.6.1 or higher. (Download Microsoft .NET Framework 4.6.1 (Web Installer) for Windows 7 SP1, Windows 8, Windows 8.1, Windows 10, Windows Server 2008 R2 SP1, Windows Server 2012 and Windows Server 2012 R2 from Official Microsoft Download Center)
  2. A network connection to the SQL Server you want to do analyses on.
  3. Internet connection to https://ws.sqltreeo.com to validate the license.
  4. In case you want to use the Storage Option SQL Server then permissions to create new tables, insert/update/delete rights in those tables.
  5. In case you want to use the Storage Option JSON or SQLite then create and write permission in the folder and subfolders of AIM.
  6. Windows 10, Windows 10 Pro, Windows Server

In this article